Advanced Search

Search for Archive STAC items with full-featured filtering. Implements the STAC API Item Search Specification and STAC API Filter Extension.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Examples

ℹ️

For more context and examples, see the Search the Archive Catalog API

Example of how to search for items by task id via curl using CQL2:

curl --request POST \
     --url https://api.canopy.umbra.space/archive/search \
     --header 'Authorization: Bearer <token>' \
     --header 'accept: application/geo+json' \
     --header 'content-type: application/json' \
     --data '
{
  "limit": 1,
  "filter-lang": "cql2-json",
  "filter": {
    "op": "=",
    "args": [
      "ecfe0bed-28d9-4ac6-a835-64d89e47e7c9",
      {
        "property": "umbra:task_id"
      }
    ]
  }
}
'

And by collect id (can include multiple collect ids if desired):

curl --request POST \
     --url https://api.canopy.umbra.space/archive/search \
     --header 'Authorization: Bearer <token>' \
     --header 'accept: application/geo+json' \
     --header 'content-type: application/json' \
     --data '
{
  "limit": 1,
  "filter-lang": "cql2-json",
  "filter": {
    "op": "a_overlaps",
    "args": [
      ["b14a01ad-7c44-43e3-9efc-91167798b00d"],
      {
        "property": "umbra:collect_ids"
      }
    ]
  }
}
'

To look up many items by archive id:

curl --request POST \
     --url https://api.canopy.umbra.space/archive/search \
     --header 'Authorization: Bearer <token>' \
     --header 'accept: application/geo+json' \
     --header 'content-type: application/json' \
     --data '
{
  "limit": 1000,
  "filter-lang": "cql2-json",
  "filter": {
    "op": "in",
    "args": [
      {
        "property": "id"
      },
      [
        "09a3fbdb-0619-4774-a9a6-ce0168034294",
        "30741721-be00-478b-97fc-40245926d551",
        "61aec560-9a5f-4445-bb1b-8c96536144db",
        "87e17704-7690-4a3d-972b-791111f11839",
        "5cb981fc-40b4-4397-b4f3-1f4159d13245",
        ...
      ]
    ]
  }
}
'

Links

For additional documentation of this STAC endpoint: https://github.com/radiantearth/stac-api-spec/tree/release/v1.0.0/item-search

For examples on how to query using CQL2:

Body Params
array | null
array | null
array | null
Point | MultiPoint | LineString | MultiLineString | Polygon | MultiPolygon | GeometryCollection | null

Limits the number of results that are included in each page of the response (capped to 10_000).

object | null
array | null

An array of property (field) names, and direction in form of '{'field': '<property_name>', 'direction':''}'

PostFieldsExtension | null
Defaults to [object Object]

Include or exclude fields from items body.

object | null

A CQL filter expression for filtering items.

The coordinate reference system (CRS) used by spatial literals in the 'filter' value. Default is http://www.opengis.net/def/crs/OGC/1.3/CRS84

enum

The CQL filter encoding that the 'filter' value uses.

Headers
string
enum
Defaults to application/geo+json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/geo+json
application/json